> ## Documentation Index
> Fetch the complete documentation index at: https://docs.molesignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 事件上下文

> 拉取某条事件前后的事件。

```http theme={null}
POST /api/v1/query/search_around
```

在指针前后 ±24 小时窗口内返回相邻事件。前后数量默认各 50，并限制在 1–1000。该操作需要
`streams.query`；系统遥测访问也可使用 `sys.telemetry.read`。

**请求体**

| 字段                   | 类型      | 必填 | 默认 |
| -------------------- | ------- | -- | -- |
| `event_timestamp_us` | integer | ✅  | —  |
| `stream`             | string  | ✅  | —  |
| `stream_type`        | string  | ✅  | —  |
| `event_fingerprint`  | string  | —  | —  |
| `before`             | integer | —  | 50 |
| `after`              | integer | —  | 50 |

<ResponseExample>
  ```json 200 theme={null}
  {
    "pointer": {
      "ts": 1700000000000000,
      "fingerprint": null
    },
    "before": {
      "columns": ["_timestamp", "msg"],
      "rows": [[1700000000000000, "..."]],
      "scanned_rows": 100,
      "took_ms": 4
    },
    "after": {
      "columns": ["_timestamp", "msg"],
      "rows": [[1700000000500000, "..."]],
      "scanned_rows": 100,
      "took_ms": 4
    }
  }
  ```
</ResponseExample>
